<div class="mat-dialog-content-container">
    <h1 mat-dialog-title>{{'lang.exportTemplateCreation' | translate}}</h1>
    <mat-dialog-content>
        <form #submitForm="ngForm" (ngSubmit)="onSubmit()">
            <div class="alert-message alert-message-info" role="alert" style="margin-top: 15px;">{{'lang.addExportTemplateMsg' | translate}}
            </div>
            <mat-form-field appearance="outline">
                <mat-label>{{'lang.label' | translate}}</mat-label>
                <input matInput name="label" placeholder="{{'lang.label' | translate}}" [(ngModel)]="data.exportTemplate.label"
                    required maxlength="256">
            </mat-form-field>
        </form>
    </mat-dialog-content>
    <mat-dialog-actions>
        <button mat-raised-button color="primary" type="submit" (click)="submitForm.ngSubmit.emit()"
            [disabled]="!submitForm.form.valid">{{'lang.validate' | translate}}</button>
        <button mat-raised-button color="default" type="button" (click)="dialogRef.close()">{{'lang.cancel' | translate}}</button>
    </mat-dialog-actions>
</div>